0b653df802e3f772d1a86f9b163d5ee2bbef62dd
[releng.git] / jjb / genesis / genesis-fuel.yml
1 ########################
2 # Job configuration for genesis/fuel
3 ########################
4 - project:
5
6     name: genesis-fuel
7
8     project: 'genesis'
9
10     installer: 'fuel'
11
12     jobs:
13         - 'genesis-fuel-verify-build-{stream}'
14         - 'genesis-fuel-merge-{stream}'
15         - 'genesis-fuel-daily-{stream}'
16         - 'genesis-fuel-build-{stream}'
17         - 'genesis-fuel-deploy-{stream}'
18         - 'genesis-fuel-deploy-runner-{stream}'
19         - 'genesis-fuel-lab-reconfig-{stream}'
20         - 'genesis-fuel-verify-deploy-virtual-{stream}'
21
22     # stream:    branch with - in place of / (eg. stable-arno)
23     # branch:    branch (eg. stable/arno)
24     stream:
25         - master:
26             branch: 'master'
27             gs-pathname: ''
28         - stable-arno:
29             branch: 'stable/arno'
30             gs-pathname: '/arno'
31
32 ########################
33 # job templates
34 ########################
35
36 - job-template:
37     name: 'genesis-fuel-verify-build-{stream}'
38
39     project-type: freestyle
40
41     node: ericsson-build
42
43     concurrent: true
44
45     properties:
46         - throttle:
47             enabled: true
48             max-total: 3
49
50     logrotate:
51         daysToKeep: 30
52         numToKeep: 10
53         artifactDaysToKeep: -1
54         artifactNumToKeep: -1
55
56     parameters:
57         - project-parameter:
58             project: '{project}'
59         - gerrit-parameter:
60             branch: '{branch}'
61         - fuel-parameter:
62             installer: '{installer}'
63             gs-pathname: '{gs-pathname}'
64
65     scm:
66         - gerrit-trigger-scm:
67             credentials-id: '{ssh-credentials}'
68             refspec: '$GERRIT_REFSPEC'
69             choosing-strategy: 'gerrit'
70
71     wrappers:
72         - ssh-agent-credentials:
73             user: '{ssh-credentials}'
74
75     triggers:
76         - gerrit:
77             trigger-on:
78                 - patchset-created-event:
79                     exclude-drafts: 'false'
80                     exclude-trivial-rebase: 'false'
81                     exclude-no-code-change: 'false'
82                 - draft-published-event
83                 - comment-added-contains-event:
84                     comment-contains-value: 'recheck'
85                 - comment-added-contains-event:
86                     comment-contains-value: 'reverify'
87             projects:
88               - project-compare-type: 'ANT'
89                 project-pattern: 'genesis'
90                 branches:
91                   - branch-compare-type: 'ANT'
92                     branch-pattern: '**/{branch}'
93                 file-paths:
94                   - compare-type: ANT
95                     pattern: 'common/ci/**'
96                   - compare-type: ANT
97                     pattern: 'common/manifests/**'
98                   - compare-type: ANT
99                     pattern: 'common/puppet-opnfv/**'
100                   - compare-type: ANT
101                     pattern: 'common/tools/**'
102                   - compare-type: ANT
103                     pattern: '{installer}/build/**'
104                   - compare-type: ANT
105                     pattern: '{installer}/ci/**'
106                   - compare-type: ANT
107                     pattern: '{installer}/deploy/**'
108                   - compare-type: ANT
109                     pattern: '{installer}/include/**'
110                   - compare-type: ANT
111                     pattern: '{installer}/prototypes/**'
112                 forbidden-file-paths:
113                   - compare-type: ANT
114                     pattern: 'common/docs/**'
115                   - compare-type: ANT
116                     pattern: '{installer}/docs/**'
117
118     builders:
119         - 'fuel-build'
120         - 'fuel-workspace-cleanup'
121
122 - job-template:
123     name: 'genesis-fuel-merge-{stream}'
124
125     project-type: freestyle
126
127     node: ericsson-build
128
129     concurrent: true
130
131     properties:
132         - throttle:
133             enabled: true
134             max-total: 2
135
136     logrotate:
137         daysToKeep: 30
138         numToKeep: 40
139         artifactDaysToKeep: -1
140         artifactNumToKeep: 5
141
142     parameters:
143         - project-parameter:
144             project: '{project}'
145         - gerrit-parameter:
146             branch: '{branch}'
147         - fuel-parameter:
148             installer: '{installer}'
149             gs-pathname: ''
150
151     scm:
152         - gerrit-trigger-scm:
153             credentials-id: '{ssh-credentials}'
154             refspec: ''
155             choosing-strategy: 'default'
156
157     wrappers:
158         - ssh-agent-credentials:
159             user: '{ssh-credentials}'
160
161     triggers:
162         - gerrit:
163             trigger-on:
164                 - change-merged-event
165                 - comment-added-contains-event:
166                     comment-contains-value: 'remerge'
167             projects:
168               - project-compare-type: 'ANT'
169                 project-pattern: 'genesis'
170                 branches:
171                   - branch-compare-type: 'ANT'
172                     branch-pattern: '**/{branch}'
173                 file-paths:
174                   - compare-type: ANT
175                     pattern: 'common/ci/**'
176                   - compare-type: ANT
177                     pattern: 'common/manifests/**'
178                   - compare-type: ANT
179                     pattern: 'common/puppet-opnfv/**'
180                   - compare-type: ANT
181                     pattern: 'common/tools/**'
182                   - compare-type: ANT
183                     pattern: '{installer}/build/**'
184                   - compare-type: ANT
185                     pattern: '{installer}/ci/**'
186                   - compare-type: ANT
187                     pattern: '{installer}/deploy/**'
188                   - compare-type: ANT
189                     pattern: '{installer}/include/**'
190                   - compare-type: ANT
191                     pattern: '{installer}/prototypes/**'
192                 forbidden-file-paths:
193                   - compare-type: ANT
194                     pattern: 'common/docs/**'
195                   - compare-type: ANT
196                     pattern: '{installer}/docs/**'
197
198     builders:
199         - 'fuel-build'
200         - 'fuel-workspace-cleanup'
201
202 - job-template:
203     name: 'genesis-fuel-daily-{stream}'
204
205     project-type: freestyle
206
207     node: ericsson-build
208
209     disabled: 'fuel-disabled-{stream}'
210
211     triggers:
212         - 'fuel-{stream}'
213
214     parameters:
215         - project-parameter:
216             project: '{project}'
217         - fuel-parameter:
218             installer: '{installer}'
219             gs-pathname: '{gs-pathname}'
220
221     scm:
222         - git-scm:
223             credentials-id: '{ssh-credentials}'
224             refspec: ''
225             branch: '{branch}'
226
227     logrotate:
228         daysToKeep: 30
229         numToKeep: 10
230         artifactDaysToKeep: -1
231         artifactNumToKeep: -1
232
233     builders:
234         - trigger-builds:
235           - project: 'genesis-fuel-build-{stream}'
236             git-revision: true
237             block: true
238         - trigger-builds:
239           - project: 'genesis-fuel-lab-reconfig-{stream}'
240             git-revision: true
241             block: true
242         - trigger-builds:
243           - project: 'genesis-fuel-deploy-{stream}'
244             git-revision: true
245             block: true
246         - trigger-builds:
247           - project: 'functest-fuel-{stream}'
248             block: true
249             block-thresholds:
250                 build-step-failure-threshold: 'never'
251                 failure-threshold: 'never'
252                 unstable-threshold: 'FAILURE'
253         # - trigger-builds:
254           # - project: 'yardstick-fuel-{stream}'
255             # block: true
256             # block-thresholds:
257                 # build-step-failure-threshold: 'never'
258                 # failure-threshold: 'never'
259                 # unstable-threshold: 'FAILURE'
260
261 - job-template:
262     name: 'genesis-fuel-deploy-runner-{stream}'
263
264     project-type: freestyle
265
266     disabled: false
267
268     node: master
269
270     logrotate:
271         daysToKeep: 30
272         numToKeep: 10
273         artifactDaysToKeep: -1
274         artifactNumToKeep: -1
275
276     parameters:
277         - project-parameter:
278             project: '{project}'
279         - fuel-parameter:
280             installer: '{installer}'
281             gs-pathname: '{gs-pathname}'
282         - string:
283             name: GIT_BASE
284             default: ssh://gerrit.opnfv.org:29418/$PROJECT
285             description: "Used for overriding the GIT URL coming from parameters macro."
286
287     scm:
288         - git-scm:
289             credentials-id: '{ssh-credentials}'
290             refspec: ''
291             branch: '{branch}'
292
293     properties:
294         - build-blocker:
295             use-build-blocker: true
296             blocking-jobs:
297                 - "genesis-foreman-daily.*"
298                 - "genesis-foreman-deploy-runner-{stream}"
299                 - "genesis-fuel-daily.*"
300
301     builders:
302         - 'fuel-lab-reconfig'
303         - trigger-builds:
304           - project: 'genesis-fuel-deploy-{stream}'
305             git-revision: true
306             block: true
307
308 - job-template:
309     name: 'genesis-fuel-build-{stream}'
310
311     project-type: freestyle
312
313     node: ericsson-build
314
315     logrotate:
316         daysToKeep: 30
317         numToKeep: 10
318         artifactDaysToKeep: -1
319         artifactNumToKeep: -1
320
321     parameters:
322         - project-parameter:
323             project: '{project}'
324         - fuel-parameter:
325             installer: '{installer}'
326             gs-pathname: '{gs-pathname}'
327
328     scm:
329         - git-scm:
330             credentials-id: '{ssh-credentials}'
331             refspec: ''
332             branch: '{branch}'
333
334     builders:
335         - 'fuel-build'
336         - 'fuel-upload-artifact'
337         - 'fuel-workspace-cleanup'
338
339     publishers:
340         - email:
341             recipients: jonas.bjurel@ericsson.com stefan.k.berg@ericsson.com
342
343 - job-template:
344     name: 'genesis-fuel-deploy-{stream}'
345
346     project-type: freestyle
347
348     disabled: false
349
350     node: opnfv-jump-2
351
352     parameters:
353         - project-parameter:
354             project: '{project}'
355         - fuel-parameter:
356             installer: '{installer}'
357             gs-pathname: '{gs-pathname}'
358         - string:
359             name: GIT_BASE
360             default: ssh://gerrit.opnfv.org:29418/$PROJECT
361             description: "POD2 has some issues with cloning using https so that's why GIT_BASE is overriden here again."
362
363     scm:
364         - git-scm:
365             credentials-id: '{ssh-credentials}'
366             refspec: ''
367             branch: '{branch}'
368
369     logrotate:
370         daysToKeep: 30
371         numToKeep: 10
372         artifactDaysToKeep: -1
373         artifactNumToKeep: -1
374
375     builders:
376         - 'fuel-download-artifact'
377         - 'fuel-odl-plugin-build'
378         - 'fuel-deploy'
379
380     publishers:
381         - email:
382             recipients: jonas.bjurel@ericsson.com stefan.k.berg@ericsson.com
383
384 - job-template:
385     name: 'genesis-fuel-lab-reconfig-{stream}'
386
387     project-type: freestyle
388
389     disabled: false
390
391     node: master
392
393     logrotate:
394         daysToKeep: 30
395         numToKeep: 10
396         artifactDaysToKeep: -1
397         artifactNumToKeep: -1
398
399     parameters:
400         - project-parameter:
401             project: '{project}'
402         - fuel-parameter:
403             installer: '{installer}'
404             gs-pathname: '{gs-pathname}'
405         - string:
406             name: GIT_BASE
407             default: ssh://gerrit.opnfv.org:29418/$PROJECT
408             description: "Used for overriding the GIT URL coming from parameters macro."
409
410     scm:
411         - git-scm:
412             credentials-id: '{ssh-credentials}'
413             refspec: ''
414             branch: '{branch}'
415
416     properties:
417         - build-blocker:
418             use-build-blocker: true
419             blocking-jobs:
420                 - "genesis-foreman-daily.*"
421
422     builders:
423         - 'fuel-lab-reconfig'
424
425 - job-template:
426     name: 'genesis-fuel-verify-deploy-virtual-{stream}'
427
428     project-type: freestyle
429
430     disabled: true
431
432     node: ericsson-build
433
434     parameters:
435         - project-parameter:
436             project: '{project}'
437         - fuel-parameter:
438             installer: '{installer}'
439             gs-pathname: ''
440
441     scm:
442         - git-scm:
443             credentials-id: '{ssh-credentials}'
444             refspec: ''
445             branch: 'master'
446
447     logrotate:
448         daysToKeep: 30
449         numToKeep: 10
450         artifactDaysToKeep: -1
451         artifactNumToKeep: -1
452
453     builders:
454         - 'fuel-deploy-virtual'
455
456 ########################
457 # parameter macros
458 ########################
459 - parameter:
460     name: fuel-parameter
461     parameters:
462         - string:
463             name: INSTALLER
464             default: '{installer}'
465             description: "Installer to use."
466         - string:
467             name: BUILD_DIRECTORY
468             default: $WORKSPACE/build_output
469             description: "Directory where the build artifact will be located upon the completion of the build."
470         - string:
471             name: CACHE_DIRECTORY
472             default: $HOME/opnfv/cache/genesis-$INSTALLER
473             description: "Directory where the cache to be used during the build is located."
474         - string:
475             name: GIT_BASE
476             default: https://gerrit.opnfv.org/gerrit/$PROJECT
477             description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
478         - string:
479             name: GS_URL
480             default: artifacts.opnfv.org/$PROJECT/$INSTALLER{gs-pathname}
481             description: "URL to Google Storage."
482
483 ########################
484 # builder macros
485 ########################
486 - builder:
487     name: 'fuel-build'
488     builders:
489         - shell: |
490             #!/bin/bash
491             set -o errexit
492             set -o nounset
493             set -o pipefail
494
495             # log info to console
496             echo "Starting the build of $INSTALLER. This could take some time..."
497             echo "--------------------------------------------------------"
498             echo
499
500             # create the cache directory if it doesn't exist
501             [[ -d $CACHE_DIRECTORY ]] || mkdir -p $CACHE_DIRECTORY
502
503             # set OPNFV_ARTIFACT_VERSION
504             export OPNFV_ARTIFACT_VERSION=$(date -u +"%Y-%m-%d_%H-%M-%S")
505
506             # start the build
507             cd $WORKSPACE/$INSTALLER/ci
508             ./build.sh -v $OPNFV_ARTIFACT_VERSION -c file://$CACHE_DIRECTORY $BUILD_DIRECTORY
509
510             # list the build artifacts
511             ls -al $BUILD_DIRECTORY
512
513             # save information regarding artifact into file
514             (
515                 echo "OPNFV_ARTIFACT_VERSION=$OPNFV_ARTIFACT_VERSION"
516                 echo "OPNFV_GIT_URL=$(git config --get remote.origin.url)"
517                 echo "OPNFV_GIT_SHA1=$(git rev-parse HEAD)"
518                 echo "OPNFV_ARTIFACT_URL=$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"
519                 echo "OPNFV_ARTIFACT_MD5SUM=$(md5sum $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso | cut -d' ' -f1)"
520                 echo "OPNFV_BUILD_URL=$BUILD_URL"
521             ) > $WORKSPACE/opnfv.properties
522
523             echo
524             echo "--------------------------------------------------------"
525             echo "Done!"
526
527 - builder:
528     name: 'fuel-odl-plugin-build'
529     builders:
530         - shell: |
531             #!/bin/bash
532             set -o errexit
533             set -o nounset
534             set -o pipefail
535
536             # install dependencies if they are not available already
537             if [[ ! $(rpm -qa | grep rubygems) ]]; then
538                 echo "Rubygems not found, but required for Fuel Plugin build ... attempting to install"
539                 sudo yum install -y rubygems ruby-devel
540             fi
541
542             if [[ ! $(gem list | grep fpm) ]]; then
543                 echo "fpm gem not found, but required for Fuel Plugin build ... attempting to install"
544                 sudo gem install fpm
545             fi
546
547             if [[ ! $(pip list | grep fuel-plugin-builder) ]]; then
548                 echo "fuel-plugin-builder not found, but required for Fuel Plugin build ... attempting to install"
549                 sudo pip install fuel-plugin-builder
550             fi
551
552             # log info to console
553             echo "Starting the build of Fuel Opendaylight Plugin. This could take some time..."
554             echo "--------------------------------------------------------"
555             echo
556
557             export ODL_PLUGIN_BRANCH="juno/lithium-sr1"
558
559             cd $WORKSPACE
560             git clone https://github.com/stackforge/fuel-plugin-opendaylight
561
562             pushd $WORKSPACE/fuel-plugin-opendaylight
563             git checkout $ODL_PLUGIN_BRANCH
564             popd
565
566             fpb --build fuel-plugin-opendaylight/
567
568             echo
569             echo "--------------------------------------------------------"
570             echo "Done!"
571
572 - builder:
573     name: 'fuel-deploy'
574     builders:
575         - shell: |
576             #!/bin/bash
577             set -o errexit
578             set -o nounset
579             set -o pipefail
580
581             # source the file so we get OPNFV vars
582             source latest.properties
583
584             # echo the info about artifact that is used during the deployment
585             echo "Using $(echo $OPNFV_ARTIFACT_URL | cut -d'/' -f4) for deployment"
586
587             # create TMPDIR if it doesn't exist
588             export TMPDIR=$HOME/tmpdir
589             [[ -d $TMPDIR ]] || mkdir -p $TMPDIR
590
591             # change permissions down to TMPDIR
592             chmod a+x $HOME
593             chmod a+x $TMPDIR
594
595             # set CONFDIR, BRIDGE
596             export CONFDIR=$WORKSPACE/fuel/deploy/templates/hardware_environment/conf/linux_foundation_lab/pod2
597             export BRIDGE=pxebr
598             export PLUGIN=$WORKSPACE/fuel-plugin-opendaylight
599
600             # cleanup first
601             sudo $WORKSPACE/common/ci/clean.sh -base_config $WORKSPACE/foreman/ci/inventory/lf_pod2_ksgen_settings.yml
602
603             # prepare for Fuel Deployment
604             sudo $WORKSPACE/common/ci/setup.sh
605
606             # log info to console
607             echo "Starting the deployment using $INSTALLER. This could take some time..."
608             echo "--------------------------------------------------------"
609             echo
610
611             # start the deployment
612             echo "Issuing command"
613             echo "sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -p $PLUGIN -nh"
614             sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -p $PLUGIN -nh
615
616             echo
617             echo "--------------------------------------------------------"
618             echo "Done!"
619
620 - builder:
621     name: 'fuel-deploy-virtual'
622     builders:
623         - shell: |
624             #!/bin/bash
625             set -o errexit
626             set -o nounset
627             set -o pipefail
628
629             # log info to console
630             echo "Starting the deployment on virtual environment using $INSTALLER. This could take some time..."
631             echo "--------------------------------------------------------"
632             echo
633
634             ssh -o BatchMode=yes -o TCPKeepAlive=yes cideploy@10.118.34.205 ./cideploy.sh
635
636             echo
637             echo "--------------------------------------------------------"
638             echo "Done!"
639
640 - builder:
641     name: 'fuel-upload-artifact'
642     builders:
643         - shell: |
644             #!/bin/bash
645             set -o errexit
646             set -o nounset
647             set -o pipefail
648
649             # log info to console
650             echo "Uploading the $INSTALLER artifact. This could take some time..."
651             echo "--------------------------------------------------------"
652             echo
653
654             # source the opnfv.properties to get ARTIFACT_VERSION
655             source $WORKSPACE/opnfv.properties
656
657             # upload artifact and additional files to google storage
658             gsutil cp $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > gsutil.iso.log 2>&1
659             gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > gsutil.properties.log 2>&1
660             gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/latest.properties > gsutil.latest.log 2>&1
661
662             echo
663             echo "--------------------------------------------------------"
664             echo "Done!"
665             echo "Artifact is available as http://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"
666
667 - builder:
668     name: 'fuel-download-artifact'
669     builders:
670         - shell: |
671             #!/bin/bash
672             set -o errexit
673             set -o nounset
674             set -o pipefail
675
676             # get the latest.properties file in order to get info regarding latest artifact
677             curl -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
678
679             # check if we got the file
680             [[ -f latest.properties ]] || exit 1
681
682             # source the file so we get OPNFV vars
683             source latest.properties
684
685             # log info to console
686             echo "Downloading the $INSTALLER artifact using URL http://$OPNFV_ARTIFACT_URL"
687             echo "This could take some time..."
688             echo "--------------------------------------------------------"
689             echo
690
691             # download the file
692             curl -s -o $WORKSPACE/opnfv.iso http://$OPNFV_ARTIFACT_URL > gsutil.iso.log 2>&1
693
694             # list the file
695             ls -al $WORKSPACE/opnfv.iso
696
697             echo
698             echo "--------------------------------------------------------"
699             echo "Done!"
700
701 - builder:
702     name: 'fuel-workspace-cleanup'
703     builders:
704         - shell: |
705             #!/bin/bash
706             set -o errexit
707             set -o nounset
708             set -o pipefail
709
710             # delete everything that is in $WORKSPACE
711             /bin/rm -rf $WORKSPACE
712
713 - builder:
714     name: 'fuel-lab-reconfig'
715     builders:
716         - shell: |
717             #!/bin/bash
718             set -o errexit
719             set -o nounset
720             set -o pipefail
721
722             # check to see if ucs login info file exists
723             if [ -e ~/.ssh/ucs_creds ];then
724               source ~/.ssh/ucs_creds
725             else
726               echo "Unable to find UCS credentials for LF lab reconfiguration...Exiting"
727               exit 1
728             fi
729
730             # clone releng
731             echo "Cloning releng repo..."
732             if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/releng; then
733               echo "Unable to clone releng repo...Exiting"
734               exit 1
735             fi
736
737             # log info to console
738             echo "Starting the lab reconfiguration for $INSTALLER..."
739             echo "--------------------------------------------------------"
740             echo
741
742             # create venv
743             $WORKSPACE/releng/utils/lab-reconfiguration/create_venv.sh
744
745             # disable nounset because 'activate' script contains unbound variable(s)
746             set +o nounset
747             # enter venv
748             source $WORKSPACE/releng/utils/lab-reconfiguration/venv/bin/activate
749             # set nounset back again
750             set -o nounset
751
752             # verify we are in venv
753             if [[ ! $(which python | grep venv) ]]; then
754               echo "Unable to activate venv...Exiting"
755               exit 1
756             fi
757
758             python $WORKSPACE/releng/utils/lab-reconfiguration/reconfigUcsNet.py -i $ucs_host -u $ucs_user -p $ucs_password -f $WORKSPACE/releng/utils/lab-reconfiguration/fuel.yaml
759
760             # while undergoing reboot
761             sleep 30
762
763             # check to see if slave is back up
764             ping_counter=0
765             ping_flag=0
766             while [ "$ping_counter" -lt 20 ]; do
767               if [[ $(ping -c 5 172.30.10.72) ]]; then
768                 ping_flag=1
769                 break
770               fi
771               ((ping_counter++))
772               sleep 10
773             done
774
775             if [ "$ping_flag" -eq 1 ]; then
776               echo "Slave is pingable, now wait 180 seconds for services to start"
777               sleep 180
778             else
779               echo "Slave did not come back up after reboot: please check opnfv-jump-2"
780               exit 1
781             fi
782
783             set +o nounset
784             deactivate
785
786             echo
787             echo "--------------------------------------------------------"
788             echo "Done!"
789
790 ########################
791 # trigger macros
792 ########################
793 - trigger:
794     name: 'fuel-master'
795     triggers:
796         - timed: '0 5 * * *'
797
798 - trigger:
799     name: 'fuel-stable-arno'
800     triggers:
801         - timed: '0 7 * * *'
802
803 ########################
804 # job disabled macros
805 ########################
806 - disabled:
807     name: 'fuel-disabled-master'
808     disabled: 'false'
809
810 - disabled:
811     name: 'fuel-disabled-stable-arno'
812     disabled: 'true'